Index: debian/debarchiver.docs
===================================================================
--- debian/debarchiver.docs	(Revision 2146)
+++ debian/debarchiver.docs	(Arbeitskopie)
@@ -1,4 +1,4 @@
 README
 TODO
-README.dscverify
+README.gnupg
 README.repository
Index: debian/copyright
===================================================================
--- debian/copyright	(Revision 2146)
+++ debian/copyright	(Arbeitskopie)
@@ -18,5 +18,6 @@
  You should have received a copy of the GNU General Public License with
  your Debian GNU/Linux system, in /usr/share/common-licenses/GPL, or with
  the debarchiver source package as the file COPYING.  If not, write to the Free
- Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
- 02111-1307, USA.
+ Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+ 02110-1301, USA.
+
Index: conf/debarchiver.conf
===================================================================
--- conf/debarchiver.conf	(Revision 2146)
+++ conf/debarchiver.conf	(Arbeitskopie)
@@ -20,7 +20,7 @@
 # The command to use for siging files. Used for Release files.
 # This command take four arguments input file, output file, key and optionally
 # a file with a password.
-# $signcmd = "/usr/lib/debarchiver/signhelper";
+# $signcmd = "/usr/lib/debarchiver/signhelper/signhelper.sh";
 
 # Generate bzip2 files or not (1 will generate and 0 will not do so).
 # $bzip = 0;
@@ -77,4 +77,6 @@
 # $gpgkey = "";
 
 # File to provide password to GnuPG.
+# If you use a key with an empty passphrase, set this variable to 0 or "".
+# If the file does not exist, debarchiver will also fall back to "".
 # $gpgpassfile = "$ENV{HOME}/.gnupg/passphrase";
Index: src/debarchiver.pl
===================================================================
--- src/debarchiver.pl	(Revision 2146)
+++ src/debarchiver.pl	(Arbeitskopie)
@@ -25,7 +25,8 @@
 #
 #    You should have received a copy of the GNU General Public License
 #    along with this program; if not, write to the Free Software
-#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+#    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+#    MA 02110-1301, USA.
 #
 ###############################################################################
 ############################# USES ############################################
@@ -57,6 +58,8 @@
 #	by some perl module but this solution was good enough.
 #  2005-10-11 Daniel Leidert <daniel.leidert@wgdd.de>
 #	Removed fix regarding $gpgpassfile (moved to checks below).
+#  2005-10-12 Daniel Leidert <daniel.leidert@wgdd.de>
+#	Fix signcmd default.
 
 $copycmd = "cp -af";
 $rmcmd = "rm -f";
@@ -73,7 +76,7 @@
 $verifysignatures = 0;
 $verifysignaturesdistinput = 0;
 $userconfigfile = "$ENV{HOME}/.debarchiver.conf";
-$signcmd = "/usr/lib/debarchiver/signhelper";
+$signcmd = "/usr/lib/debarchiver/signhelper/signhelper.sh";
 $bzip = 0;
 $gpgpassfile = "$ENV{HOME}/.gnupg/passphrase";
 
Index: src/signhelper.sh
===================================================================
--- src/signhelper.sh	(Revision 2146)
+++ src/signhelper.sh	(Arbeitskopie)
@@ -15,7 +15,8 @@
 #
 #    You should have received a copy of the GNU General Public License
 #    along with this program; if not, write to the Free Software
-#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+#    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+#    MA 02110-1301, USA.
 #
 #
 # Changelog:
Index: COPYING
===================================================================
--- COPYING	(Revision 2146)
+++ COPYING	(Arbeitskopie)
@@ -2,7 +2,7 @@
 		       Version 2, June 1991
 
  Copyright (C) 1989, 1991 Free Software Foundation, Inc.
-     59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+	51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  Everyone is permitted to copy and distribute verbatim copies
  of this license document, but changing it is not allowed.
 
@@ -305,7 +305,7 @@
 
     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
-    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 
 
 Also add information on how to contact you by electronic and paper mail.
Index: README.repository
===================================================================
--- README.repository	(Revision 2146)
+++ README.repository	(Arbeitskopie)
@@ -122,10 +122,10 @@
 own - what you prefer.
 
 Be aware of the following problem: If you decided to enable signature checking
-for incoming packages (see README.dscverify), then you maybe have user
+for incoming packages (see README.gnupg), then you maybe have user
 directories (.gnupg) and user files (.bash_history, .devscripts) in
 /var/lib/debarchiver. Use the above rules to forbid access OR change the
-archive-dir or thehome-dir for debarchiver (see README.dscverify), which is the
+archive-dir or the home-dir for debarchiver (see README.gnupg), which is the
 cleaner solution.
 
 
@@ -191,3 +191,4 @@
 
 The above file is only an example which will show the packages in Sid.
 Feel free to customize it and enjoy the possibilities of this famous script.
+
Index: README
===================================================================
--- README	(Revision 2146)
+++ README	(Arbeitskopie)
@@ -50,9 +50,16 @@
 Dependent on your decision (see $verifysignatures, $verifysignaturesdistinput,
 $vrfycmd) debarchiver checks the signature of uploaded packages. Unsigned
 packages (except binary-only packages without a .changes file) will be rejected
-if verification is enabled. See README.dscverify for how to enable signature verification.
+if verification is enabled. See README.gnupg for how to enable signature verification.
 
 
+Archive signing:
+----------------
+
+See README.gnupg for infos on how to enable the creation of a signed Release
+files.
+
+
 Multiple archives:
 ------------------
 
@@ -83,6 +90,7 @@
 of the information in the configuration file. More exact information is
 available there.
 
+
 non-US:
 -------
 
@@ -114,5 +122,6 @@
 
 You should have received a copy of the GNU General Public License with
 the debarchiver source package as the file COPYING.  If not, write to the
-Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
-02111-1307, USA.
+Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+02110-1301, USA.
+
